Ports - Bug #157

Missing signatures
2012-07-30 12:16 PM - mtjm

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: mtjm

Category:

Description

When making a new chroot:

(RICIEQIE §
(R15IEQ)IE §
error:
error:
error:
error:
error:
(Ra2I5Q)IE §
(RICIEQIE §
(R15IEQ)IE §
error:
error:
error:
error:
error:
(Ra2I5Q)IE §
(RICIEQIE §
(R15IEQ)IE §
error:
error:
error:
error:
error:
(Ra2I5Q)IE §
(RICIEQIE §
(R15IEQ)IE §
error:
error:
error:
error:
error:
(Ra2I5Q)IE §
(RICIEQIE §
(R15IEQ)IE §
error:
error:
error:
error:
error:
(Ra2I5Q)IE §
(RICIEQIE §
(R15IEQ)IE §
error:
error:
error:
error:
error:
(Ra2I5Q)IE §
(RICIEQIE §
(R15IEQ)IE §
error:

tzdata: missing required signature
archlinux-keyring: missing required signature
ncurses: missing required signature
gawk: missing required signature

m4: missing required signature
diffutils: missing required signature
autoconf: missing required signature
gdbm: missing required signature
gcc—libs: missing required signature
cracklib: missing required signature
libgssglue: missing required signature
libtirpc: missing required signature
pambase: missing required signature
automake: missing required signature
findutils: missing required signature
sed: missing required signature
ca-certificates: missing required signature
pcre: missing required signature
libffi: missing required signature
hwids: missing required signature

kbd: missing required signature

expat: missing required signature
iana-etc: missing required signature
dhcpcd: missing required signature
libsasl: missing required signature
libksba: missing required signature
libassuan: missing required signature
pth: missing required signature

file: missing required signature

flex: missing required signature
libmpc: missing required signature
gcc: missing required signature
gettext: missing required signature
gpgme: missing required signature
texinfo: missing required signature
groff: missing required signature
heirloom-mailx: missing required signature
jfsutils: missing required signature
less: missing required signature
libarchive: missing required signature
tar: missing required signature

make: missing required signature
man-pages: missing required signature
metalog: missing required signature
nano: missing required signature
patch: missing required signature
pkg-config: missing required signature
ppp: missing required signature
reiserfsprogs: missing required signature
vi: missing required signature

wget: missing required signature
error: which: missing required signature

Some of them are arch=any, some are old.

History

#2 - 2012-08-24 01:44 PM - fauno

| added signature syncing to any-to-ours it should fix the missing signatures for 'any' packages

#3 - 2012-08-24 06:14 PM - djs
Here are a few more packages that prevented a system upgrade on a mips64el installation when the SigLevel in /etc/pacman.conf was set to
PackageRequired:

error: libldap: missing required signature
error: libxrandr: missing required signature
error: metacity: missing required signature
error: mtdev: missing required signature

#4 - 2012-10-20 09:40 AM - 0

Latest tarball raises the following.

$ sudo pacman -Syu

Password:

:: Synchronizing package databases...

libre 2279 KiB 235K/s 00:01 [###H####HEHH#HHHEHEHEHE) 100%
core 89.9 KiB 192K/s 00:00 [#####H##HHH#HHHEHHHHH#] 100%
extra 932.2 KiB 204K/s 00:05 [##H##t##HHHHIHHHHEHEHA] 100%
community 799.8 KiB 233K/s 00:03 [###H#it#iHHHHHHHEHEHEHE] 100%

:: Starting full system upgrade...

resolving dependencies...

warning: dependency cycle detected:

warning: systemd will be installed before its dbus-core dependency
looking for inter-conflicts...

Targets (34): archlinux-keyring-20120915-1 coreutils-8.19-1 curl-7.28.0-1
dbus-core-1.6.8-1 dhcpcd-5.6.2-1 filesystem-2012.10-1
gcc-libs-4.7.2-1 hwids-20121012-1 initscripts-2012.10.5-1
iputils-20101006-7 kmod-10-1 libarchive-3.0.4-2

libldap-2.4.33-1 libpipeline-1.2.2-1 linux-libre-3.5.4-1
linux-libre-api-headers-3.5.5-1 man-db-2.6.3-1 man-pages-3.43-1
mkinitcpio-busybox-1.20.2-1 pam-1.1.6-1
parabola-keyring-20121012-1 pinentry-0.8.2-1 procps-ng-3.3.3-6
run-parts-4.3.4-1 sudo-1.8.6.p3-1 systemd-194-3
sysvinit-2.88-9 sysvinit-tools-2.88-9 tzdata-2012f-1
util-linux-2.22.1-1 wget-1.14-1 wpa_supplicant-1.0-2
your-freedom-20121020-1 zile-2.4.9-1

Total Download Size: 0.55 MiB
Total Installed Size: 147.45 MiB
Net Upgrade Size: 1.93 MiB

Proceed with installation? [Y/n]

:: Retrieving packages from libre...

your-freedom-201210... 7.6 KiB 2.26M/s 00:00 [#########HH#HHEHHEHIHE] 100%

:: Retrieving packages from core...

gcc-libs-4.7.2-1-mi... 558.7 KiB  199K/s 00:03 [####H###H##H##HH##HI##H] 100%

(34/34) checking package integrity [HHHHHEHEHH A 100%

error: archlinux-keyring: missing required signature

error: pam: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: coreutils: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: curl: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: kmod: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: util-linux: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: systemd: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: dbus-core: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: dheped: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: gcc-libs: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: sysvinit-tools: signature from "Nicolads Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: initscripts: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: iputils: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: libarchive: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: libldap: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: libpipeline: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: linux-libre: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: linux-libre-api-headers: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: man-db: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: mkinitcpio-busybox: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: pinentry: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: run-parts: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: sudo: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: sysvinit: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: tzdata: missing required signature

error: wget: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: wpa_supplicant: signature from "Nicolas Reynolds <fauno@kiwwwi.com.ar>" is unknown trust
error: zile: signature from "Nicolds Reynolds <fauno@kiwwwi.com.ar>" is unknown trust

error: failed to commit transaction (invalid or corrupted package (PGP signature))

#5 - 2012-10-21 03:48 PM - fauno

my encryption keys expired, i've renewed them and i'm pinging emulatorman to update parabola-keyring. please upgrade this package first and
populate the pacman keyring if needed.

also, mtjm is working on fixing this issue

#6 - 2012-10-22 07:59 AM - mtjm

db-list-unsigned-packages used on repo shows what needs fixing. All arch=any packages were replaced, should have signatures from the x86_64
repo now. Of arch=mips64el most unsigned core packages are rebuilt, other repos need rebuilding many packages (also some core packages
depending on unsigned extra packages). Some of these packages will need build fixes.

#7 - 2012-10-30 03:19 AM - 2

How long will it take to fix the rest?

#8 - 2012-10-30 08:17 AM - mtjm

f2 wrote:

How long will it take to fix the rest?

| will be updating gcc and related packages, this will finish maybe on Friday. | will update the extra packages later, this would take several days if no
package would fail build (some would need porting difficult dependencies that won't be fast). There might be other packagers who could help.

#9 - 2014-12-26 02:52 PM - mtjm

- Status changed from in progress to not-a-bug

Closing due to lack of interest and possible new bugs.

#10 - 2016-05-12 12:18 AM - Anonymous

- Project changed from 3 to Ports
